<?php
/*------------------------------------------------------------------------
# mod_jfslideshow
# ------------------------------------------------------------------------
# author    Kreatif Multimedia GmbH
# copyright Copyright (C) 2013 joomfreak.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomfreak.com
# Technical Support:  Forum - http://www.joomfreak.com/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
class JElementYoutubeoption extends JElement
{	
	var	$_name = 'Youtubeoption';

	function fetchElement($name, $value, &$node, $control_name)
	{
		
		$params = $this->_parent;

		$videoid 	= $params->get($name .'_id', '');
		$start 		= $params->get($name .'_start', '0');
		$mute		= $params->get($name .'_mute', '1');
		$repeat		= $params->get($name .'_repeat', '1');
		
		$yesnoOptions =	array(
			JHTML::_('select.option', '0', JText::_('No') ),
			JHTML::_('select.option', '1', JText::_('Yes') )
			);
		
		ob_start();
		?>
		<hr id="youtubeoption">
		<p>
		<label for="params<?php echo $name;?>_id" class="jflabel hasTip" title="<?php echo JText::_('JFSS_YVID');?>">
		YouTube video ID			
		</label>
		<input type="text" class="text_area" value="<?php echo $videoid;?>" id="params<?php echo $name;?>_id" name="params[<?php echo $name;?>_id]">
		<em>E.g.: 6hS2OMe4lXM</em>
		</p>
		<p>
		<label for="params<?php echo $name;?>_start" class="jflabel hasTip" title="<?php echo JText::_('JFSS_YSPS');?>">
		Starting position in seconds	
		</label>
		<input type="text" class="text_area" value="<?php echo $start;?>" id="params<?php echo $name;?>_start" name="params[<?php echo $name;?>_start]">
		</p>
		<p>
		<label for="params<?php echo $name;?>_repeat" class="jflabel hasTip" title="<?php echo JText::_('JFSS_YVR');?>">
		Repeat	
		</label>
		<?php
			echo JHTML::_('select.genericlist', $yesnoOptions, 'params['.$name.'_repeat]', null, 'value', 'text', $repeat);
		?>
		</p>
		<p>
		<label for="params<?php echo $name;?>_mute" class="jflabel hasTip" title="<?php echo JText::_('JFSS_YMUT');?>">
		Mute sound	
		</label>
		<?php
			echo JHTML::_('select.genericlist', $yesnoOptions, 'params['.$name.'_mute]', null, 'value', 'text', $mute);
		?>
		</p>
		<?php		        
        $content=ob_get_contents();
        ob_end_clean();
        return $content;
	}
}
